import { ADMIN_COOKIES, USER_COOKIES } from '~/configs/cookies'

export const setUserLogoutHeaders = () => {
  const responseHeaders = new Headers()
  responseHeaders.append(
    'Set-Cookie',
    `${USER_COOKIES.token}=; Path=/; HttpOnly; SameSite=Strict; Max-Age=0`,
  )

  return responseHeaders
}

export const setAdminLogoutHeaders = () => {
  const responseHeaders = new Headers()
  responseHeaders.append(
    'Set-Cookie',
    `${ADMIN_COOKIES.token}=; Path=/lg-admin; HttpOnly; SameSite=Strict; Max-Age=0`,
  )

  return responseHeaders
}
